{% extends 'base.html' %}

{% block content %}
{% if request.session.peran == 'pengguna publik' or request.session.peran == 'admin satgas' %}
<div class="container">
    <div class="row"></div>
    <div class="row align-items-center">
        <div class="col"></div>
        <div class="col-6">
            <form method="POST" class="" action="{% url 'appointment:submit' %}">
                {% csrf_token %}
                <figure class="text-center">
                    <h3>Siruco - Buat Appointment</h3>
                </figure>

                <div class="mb-3">
                    <label for="nik-pasien" class"form-label">NIK Pasien</label>
                    <select class="form-select" name="nik" aria-label="Default select example" id='nik-pasien'
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')" 
                    oninput="this.setCustomValidity('')" required>
                        <option value="">Pasien</option>
                        {% for nik in nik_pasien %}
                        <option value="{{nik.0}}">{{ nik.0 }}</option>
                        {% endfor %}
                    </select>
                </div>

                {% for jadwal in jadwal_dokter %}
                <div class="mb-3">
                    <label for="username" class"form-label">Username Dokter</label>
                    <input type="text" class="form-control" name="username" id="username" value="{{ jadwal.1 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="faskes" class"form-label">Faskes</label>
                    <input type="text" class="form-control" name="faskes" id="faskes" value="{{ jadwal.2 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="tanggal" class"form-label">Tanggal Praktek</label>
                    <input type="text" class="form-control" name="tanggal" id="tanggal" value="{{ jadwal.4 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <label for="shift" class"form-label">Shift Praktek</label>
                    <input type="text" class="form-control" name="shift" id="shift" value="{{ jadwal.3 }}" readonly></input>
                </div>

                <div class="mb-3">
                    <input type="hidden" class="form-control" name="nostr" id="nostr" value="{{ jadwal.0 }}" readonly></input>
                </div>
                {% endfor %}

                <figure class="text-center">
                    {% for message in messages %}
                    {{ message }}
                    <br>
                    {% endfor %}

                    <button type="submit" class="btn btn-outline-success">Simpan</button>
                </figure>
            </form>
        </div>
        <div class="col"></div>
    </div>
</div>
{% endif %}
{% endblock content %}